ohai (16.13.0-3) unstable; urgency=medium

  * Reupload to unstable
  * Update minimum version of chef-config
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 10 Sep 2021 00:18:45 +0530

ohai (16.13.0-2) experimental; urgency=medium

  * Update minimum version of ruby-mixlib-shellout

 -- Pirate Praveen <praveen@debian.org>  Sun, 18 Apr 2021 18:47:58 +0530

ohai (16.13.0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * salsa-ci: use an UTF-8 locale
  * salsa-ci: set LC_ALL as well
  * debian/ruby-tests.rake: set locale for tests

  [ Pirate Praveen ]
  * Add README.Source to mention the new location of gem source
    (Now using cinc project provided gem as source) (Closes: #986696)
  * New upstream version 16.13.0
  * Refresh patches (remove patches no longer used)
  * Disable tests (rubygem does not include tests)
  * Drop ohai.docs (READEME.md is no longer present)
  * Add ruby-train-core as build dependency
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Update my email address

 -- Pirate Praveen <praveen@debian.org>  Fri, 09 Apr 2021 23:15:07 +0530

ohai (16.0.7-3) unstable; urgency=medium

  * Team upload
  * 0002-Remove-relative-references-for-source-code-in-tests.patch: fix
    reference to plugins folder to make it work against package using the gem
    layout (as of -1). This makes the test suite pass under autopkgtests.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 17 Mar 2020 11:17:28 -0300

ohai (16.0.7-2) unstable; urgency=medium

  * Team upload
  * Change Breaks: chef (<< 16) to Breaks: chef (<< 15)
  * Build-Depends: ruby-chef-config (>= 15)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 08 Mar 2020 11:29:47 -0300

ohai (16.0.7-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Antonio Terceiro ]
  * debian/watch: point at github to get full source
  * New upstream version 16.0.7
  * Refresh packaging files from a new dh-make-ruby run
  * Refresh patches
  * debian/ruby-tests.rake: skip Windows-specific tests
  * Add patch to fix tests against multiple supported rubies
  * Drop debian/ohai.manpages as manpage was dropped by upstream
  * Add Breaks: on incompatible chef version

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 29 Feb 2020 07:42:40 -0300

ohai (13.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Supports ruby 2.5 (Closes: #892196)
  * Refresh patches.
  * Update copyright (and merge blocks with the same license, for sanity).
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Patch: Ignore missing ipaddr_extensions.
  * Declare Rules-Requires-Root: no.
  * Bump debhelper compat to 10.
  * Migrate watch file to version 4, https://gitwatch.debian.net/
  * Migrate package hosting to salsa.debian.org.
  * Remove trailing whitespace from changelog.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 May 2018 16:41:05 +0200

ohai (8.21.0-1) unstable; urgency=medium

  * New upstream version 8.21.0
  * refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 31 Oct 2016 10:44:19 -0200

ohai (8.20.0-1) unstable; urgency=medium

  * New upstream version 8.20.0
    - refresh patches
    - drop patch to avoid dependency on rspec-collection_matchers, which has
      been packaged since.
  * update packaging with new `dh-make-ruby -w` run
    - a bunch of dependencies updates
    - updated homepage
    - updated debian/ruby-tests.rake to latest version
  * add patch to mark 2 test cases that are Windows-specific as such

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Sep 2016 14:44:16 -0300

ohai (8.10.0-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 8.10.0
  * debian/patches: refresh patches and drop
    0003-Ruby-plugin-run-only-against-default-Ruby.patch, already applied by
    upstream
  * debian/control: depends (build and runtime) on ruby-chef-config
  * debian/patches: update 0001-Drop-dependency-on-wmi-lite.patch
  * Create patch that removes relative references of source code in tests
  * debian/copyright: update upstream copyright
  * Update Debian packaging copyright
  * Bump debhelper compatibility level to 9
  * Declare compliance with Debian policy 3.9.7
  * debian/control: use secure uri in Vcs-Git field

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Fri, 04 Mar 2016 14:33:46 -0300

ohai (8.4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, not needed anymore
  * Update packaging with a new dh-make-ruby run
    - Added dependencies on ruby-plist and ruby-sigar by hand; upstream
      metadata is missing them (reported as
      https://github.com/chef/ohai/issues/556)
  * Add 0001-Drop-dependency-on-wmi-lite.patch to remove a Windows-only
    dependency
  * Add 0002-Avoid-dependency-on-rspec-collection_matchers.patch to make the
    tests not depend on an unpackage rspec extension.
  * Add 0003-Ruby-plugin-run-only-against-default-Ruby.patch: restrict tests
    of the Ruby plugin to the default Ruby interpreter.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 16 Jun 2015 20:39:55 -0300

ohai (6.14.0-2) unstable; urgency=low

  * Bump standards version to 3.9.2; no changes needed
  * Bump build dependency on gem2deb to >= 0.3.0~

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jun 2012 09:57:45 -0300

ohai (6.14.0-1) unstable; urgency=low

  * New upstream version

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 31 May 2012 22:57:21 +0200

ohai (0.6.12-3) unstable; urgency=low

  * Add more missing dependencies.
  * Move to section admin as per ftp-master overrides.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 03 May 2012 12:48:06 +0200

ohai (0.6.12-2) unstable; urgency=low

  * Add missing dependency on ruby-ipaddress.
  * Add missing dependency on ruby-sigar.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 03 May 2012 11:34:48 +0200

ohai (0.6.12-1) unstable; urgency=low

  [ Praveen Arimbrathodiyil ]
  * New upstream release (0.6.10).
  * Use gem2deb helper for packaging. (Closes: #639787)
  * Add myself to uploaders.
  * run all tests (add new build dependencies).
    - ruby-mixlib-config, ruby-mixlib-log, ruby-mixlib-cli,
    - ruby-systemu, ruby-yajl, ruby-rspec, ruby-sigar

  [ Antonio Terceiro ]
  * debian/patches/Missing-require-rubygems.patch: add missing `require
    'rubygems'`, which is required when running under Ruby 1.8
  * debian/patches/Obtain-Ruby-plugin-test-data-from-system-ruby.patch:
    get test data for Ruby plugin from a system() call to `ruby` instead of
    reading the configuration of the running Ruby. This allows to run the
    tests under one interpreter while `ruby` is another interpreter, e.g.,
    running the tests under Ruby 1.9 while Ruby 1.8 is the default Ruby, or
    the other way around.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 17 Apr 2012 22:56:56 -0300

ohai (0.5.6-1) unstable; urgency=low

  * New upstream release (0.5.6).

 -- Joshua Timberman <joshua@opscode.com>  Tue, 29 Jun 2010 14:47:35 -0600

ohai (0.5.4-4) unstable; urgency=low

  * Fix use ohai binary from source instead of the one mangled by setup.rb.
  * Build-depend graphviz so rdoc gets created properly for ohai-doc.

 -- Joshua Timberman <joshua@opscode.com>  Wed, 12 May 2010 11:03:32 -0600

ohai (0.5.4-3) unstable; urgency=low

  * Fix remove_rubygems patch for new version of bin/ohai.

  [ Deepak Tripathi ]
  * Bumped Standard Version to 3.8.4 (no changes)

 -- Joshua Timberman <joshua@opscode.com>  Tue, 11 May 2010 20:05:36 -0600

ohai (0.5.4-2) unstable; urgency=low

  * Fix source package for launchpad.

 -- Joshua Timberman <joshua@opscode.com>  Tue, 11 May 2010 17:26:26 -0600

ohai (0.5.4-1) unstable; urgency=low

  * New upstream release (0.5.4).
    * [OHAI-185] - Specs fail on all platforms other than darwin
    * [OHAI-187] - Ohai plugin breaks shef
    * [OHAI-190] - Chef plugin for ohai uses the same namespace as the chef
      attributes

 -- Joshua Timberman <joshua@opscode.com>  Tue, 11 May 2010 16:37:21 -0600

ohai (0.5.2-1) unstable; urgency=low

  * New upstream release (0.5.2).
    * [OHAI-170] - Rackspace cloud detection fails on machines with strictly intracloud traffic
    * [OHAI-171] - executable script-without-shebang
    * [OHAI-174] - ohai problems with dropping privileges
    * [OHAI-159] - php plugin
    * [OHAI-160] - lua plugin
    * [OHAI-161] - mono plugin
    * [OHAI-162] - groovy plugin
    * [OHAI-178] - don't use ruby plugin to guess OS

 -- Joshua Timberman <joshua@opscode.com>  Thu, 06 May 2010 23:09:49 -0600

ohai (0.5.0-2) unstable; urgency=low

  * Remove rubygems patch missed bin/ohai.
  * ohai needs to depend on 'ruby' or it fails to process plugins.

 -- Joshua Timberman <joshua@opscode.com>  Tue, 09 Mar 2010 19:21:06 -0700

ohai (0.5.0-1) unstable; urgency=low

  * New upstream release (0.5.0).
    * [OHAI-155] - Chef summons army of dmidecode Zombies
    * [OHAI-166] - Make it possible to disable plugins
  * Update man page w/ see also section.

 -- Joshua Timberman <joshua@opscode.com>  Thu, 04 Mar 2010 12:48:35 -0700

ohai (0.4.0-1) unstable; urgency=low

  * New upstream release (0.4.0).
    * [OHAI-119] - don't 'require rubygems' explicitly
    * [OHAI-139] - ohai no longer requires json in gemspec, fails to
      run if user doesn't install a json library
    * [OHAI-140] - require rubygems in bin/ohai
    * [OHAI-143] - ohai, running in chef-client, triggers a MRI segfault
      probably related to garbage collection
    * [OHAI-147] - exception on pretty_generate when specifying
      an attribute with json 1.2.0
    * [OHAI-150] - ohai network fails without default gateway
    * [OHAI-84] - Extend Ohai to support more of the information found in
      sys and proc, want to cover things found in dstat scope.
    * [OHAI-7] - Command line should be sorted alphabetically, for the first keys
    * [OHAI-151] - Support to include data from /etc/passwd and /etc/group
    * [OHAI-137] - command.rb should be Apache 2.0 License

 -- Joshua Timberman <joshua@opscode.com>  Sun, 28 Feb 2010 17:15:49 -0700

ohai (0.3.6-2) unstable; urgency=low

  [Joshua Timberman]
  * New maintainer.
  * Fixing changelog entries missing between maintainers.
  * Remove graphviz from build dep
  * Bump standards version to 3.8.3
  * Now requires libmixlib-{config,cli,log}-ruby
  * Noting changes from upstream release (0.3.4)
    * [OHAI-107] - EC2 spec tests fails when not connected to network
    * [OHAI-111] - ec2 userdata gets truncated
    * [OHAI-112] - when installed on ubuntu/debian packages w/o rubygems
      ohai fails with a type error
    * [OHAI-130] - Ruby plugin should pull configuration from ruby in the system path
    * [OHAI-95] - Support multiple JSON libraries
    * [OHAI-116] - Redhat platform version should include the subrelease
    * [OHAI-120] - refactor ohai to use Mixlib
  * Additional changes from upstream release (0.3.6)
    * [OHAI-131] - ohai lies about its version
    * [OHAI-134] - yajl-ruby causes incompatibility with json gem
    * [OHAI-138] - create explicit dependencies on source version.

 -- Joshua Timberman <joshua@opscode.com>  Fri, 08 Jan 2010 13:44:38 -0600

ohai (0.3.6-1) unstable; urgency=low

  [Joshua Timberman]
  * Add DRE team to uploaders.
  * Bump standards version to 3.8.3

  [Bryan McLellan]
  * New upstream release
  * Add Joshua Timberman to uploaders
  * Add ohai as suggests to libohai-ruby
  * Update watch to use githubredir
  * Add quilt patch to remove rubygems require
  * Remove package man page in favor of upstream

 -- Bryan McLellan <btm@loftninjas.org>  Thu, 07 Jan 2010 12:51:20 -0800

ohai (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Add libsystemu-ruby as new dependency

 -- Bryan McLellan <btm@loftninjas.org>  Wed, 15 Jul 2009 14:46:28 -0700

ohai (0.3.0-2) unstable; urgency=low

  * Move ruby-pkg-tools from Build-Depends-Indep to Build-Depends
  * Bump standards to 3.8.2

 -- Bryan McLellan <btm@loftninjas.org>  Fri, 19 Jun 2009 14:14:39 -0700

ohai (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Bryan McLellan <btm@loftninjas.org>  Fri, 19 Jun 2009 10:40:49 -0700

ohai (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #514680)

 -- Bryan McLellan <btm@loftninjas.org>  Tue, 28 Apr 2009 15:29:15 -0700
